Несколько уязвимостей в Typo3

Дата публикации:
28.02.2009
Дата изменения:
28.02.2009
Всего просмотров:
1899
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
TYPO3 3.x
TYPO3 4.x
Уязвимые версии: Typo3 версии до 4.0.12, 4.1.10 и 4.2.6

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за ошибки в механизме "jumpUrl". Удаленный пользователь может просмотреть хеш пароля, защищающего доступ к файлам и просмотреть содержимое произвольных файлов на системе.

URL производителя: typo3.org

Решение: Установите последнюю версию 4.0.12, 4.1.10 или 4.2.6 с сайта производителя.

Ссылки: http://typo3.org/teams/security/security-bulletins/typo3-sa-2009-002/

или введите имя

CAPTCHA